Subject: Add PaddingViewHelper
Description

A PaddingViewHelper can be useful to format strings, especially in text/xml templates. It is a wrapper for PHPs str_pad function and
can be used like this:

<f:format.padding padLength="10" padString="-=">TYPO3</f:format.padding>

->

TYPO3-=-=-

Patch follows.

Associated revisions
Revision c0d0f79d - 2009-09-16 18:48 - Bastian Waidelich

[~TASK] Fluid: tweaked exception that is thrown when trying to iterate through non-traversable objects in ForViewHelper
[~TASK] Fluid: fixed typo in ForViewHelperTest
[+FEATURE] Fluid: added CycleViewHelper. Resolves #4458
[+FEATURE] Fluid: added GroupedForViewHelper. Resolves #4460
[+TASK] Fluid: added test case for PaddingViewHelper. Relates to #4459

History
#1 - 2009-09-15 19:47 - Sebastian Kurfuerst
- Status changed from New to Accepted

#2 - 2009-09-16 12:20 - Sebastian Kurfuerst
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

backported to v4 as well.

#3 - 2009-09-16 13:06 - Bastian Waidelich

in r3169
